import mods.artisanworktables.builder.RecipeBuilder;

#remove draconic core recipe
recipes.remove(<draconicevolution:draconic_core>);

#add draconic core recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<draconicevolution:draconium_ingot>, <draconicevolution:draconium_ingot>, <gregtech:meta_item_1:19026>, <draconicevolution:draconium_ingot>, <draconicevolution:draconium_ingot>],
    [<draconicevolution:draconium_ingot>, <gregtech:meta_item_1:19026>, <avaritia:resource>, <gregtech:meta_item_1:19026>, <draconicevolution:draconium_ingot>],
    [<gregtech:meta_item_1:19026>, <avaritia:resource>, <gregtech:meta_item_2:25111>, <avaritia:resource>, <gregtech:meta_item_1:19026>],
    [<draconicevolution:draconium_ingot>, <gregtech:meta_item_1:19026>, <avaritia:resource>, <gregtech:meta_item_1:19026>, <draconicevolution:draconium_ingot>],
    [<draconicevolution:draconium_ingot>, <draconicevolution:draconium_ingot>, <gregtech:meta_item_1:19026>, <draconicevolution:draconium_ingot>, <draconicevolution:draconium_ingot>]])
  .setFluid(<liquid:styrene_butadiene_rubber> * 500)
  .addTool(<ore:artisansGemCutter>, 15)
  .addTool(<ore:artisansCutters>, 15)
  .addTool(<ore:artisansBurner>, 15)
  .addOutput(<draconicevolution:draconic_core>)
  .create();

#remove wyvern energy core recipe
recipes.remove(<draconicevolution:wyvern_energy_core>);

#add wyvern energy core recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<draconicevolution:draconium_ingot>, <draconicevolution:draconium_ingot>, <gregtech:compressed_10:15>, <draconicevolution:draconium_ingot>, <draconicevolution:draconium_ingot>],
    [<draconicevolution:draconium_ingot>, <gregtech:compressed_10:15>, <draconicevolution:draconic_core>, <gregtech:compressed_10:15>, <draconicevolution:draconium_ingot>],
    [<gregtech:compressed_10:15>, <draconicevolution:draconic_core>, <avaritia:resource>, <draconicevolution:draconic_core>, <gregtech:compressed_10:15>],
    [<draconicevolution:draconium_ingot>, <gregtech:compressed_10:15>, <draconicevolution:draconic_core>, <gregtech:compressed_10:15>, <draconicevolution:draconium_ingot>],
    [<draconicevolution:draconium_ingot>, <draconicevolution:draconium_ingot>, <gregtech:compressed_10:15>, <draconicevolution:draconium_ingot>, <draconicevolution:draconium_ingot>]])
  .setFluid(<liquid:styrene_butadiene_rubber> * 5000)
  .addTool(<ore:artisansGemCutter>, 15)
  .addTool(<ore:artisansCutters>, 15)
  .addTool(<ore:artisansBurner>, 15)
  .addOutput(<draconicevolution:wyvern_energy_core>)
  .create();

#remove wyvern core recipe
recipes.remove(<draconicevolution:wyvern_core>);

#add wyvern core recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<netherite1_12_2:blockofnetherite>, <draconicevolution:draconium_block>, <draconicevolution:draconic_core>, <draconicevolution:draconium_block>, <netherite1_12_2:blockofnetherite>],
    [<draconicevolution:draconium_block>, <draconicevolution:draconium_block>, <draconicevolution:draconic_core>, <draconicevolution:draconium_block>, <draconicevolution:draconium_block>],
    [<draconicevolution:draconic_core>, <draconicevolution:draconic_core>, <gregtech:meta_item_1:32725>, <draconicevolution:draconic_core>, <draconicevolution:draconic_core>],
    [<draconicevolution:draconium_block>, <draconicevolution:draconium_block>, <draconicevolution:draconic_core>, <draconicevolution:draconium_block>, <draconicevolution:draconium_block>],
    [<netherite1_12_2:blockofnetherite>, <draconicevolution:draconium_block>, <draconicevolution:draconic_core>, <draconicevolution:draconium_block>, <netherite1_12_2:blockofnetherite>]])
  .setFluid(<liquid:styrene_butadiene_rubber> * 4000)
  .addTool(<ore:artisansGemCutter>, 40)
  .addTool(<ore:artisansCutters>, 40)
  .addTool(<ore:artisansBurner>, 40)
  .addOutput(<draconicevolution:wyvern_core>)
  .create();

#remove awakened energy core recipe
recipes.remove(<draconicevolution:draconic_energy_core>);

#add awakened energy core recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<draconicevolution:draconic_block>, <netherite1_12_2:blockofnetherite>, <draconicevolution:wyvern_energy_core>, <netherite1_12_2:blockofnetherite>, <draconicevolution:draconic_block>],
    [<netherite1_12_2:blockofnetherite>, <draconicevolution:wyvern_energy_core>, <draconicevolution:wyvern_core>, <draconicevolution:wyvern_energy_core>, <netherite1_12_2:blockofnetherite>],
    [<draconicevolution:wyvern_energy_core>, <draconicevolution:wyvern_core>, <gregtech:compressed_10:12>, <draconicevolution:wyvern_core>, <draconicevolution:wyvern_energy_core>],
    [<netherite1_12_2:blockofnetherite>, <draconicevolution:wyvern_energy_core>, <draconicevolution:wyvern_core>, <draconicevolution:wyvern_energy_core>, <netherite1_12_2:blockofnetherite>],
    [<draconicevolution:draconic_block>, <netherite1_12_2:blockofnetherite>, <draconicevolution:wyvern_energy_core>, <netherite1_12_2:blockofnetherite>, <draconicevolution:draconic_block>]])
  .setFluid(<liquid:styrene_butadiene_rubber> * 10000)
  .addTool(<ore:artisansGemCutter>, 100)
  .addTool(<ore:artisansCutters>, 100)
  .addTool(<ore:artisansBurner>, 100)
  .addOutput(<draconicevolution:draconic_energy_core>)
  .create();

#remove draconium infused obsidian recipe
recipes.remove(<draconicevolution:infused_obsidian>);

#add draconium infused obsidian recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<ore:ingotDraconium>, <ore:ingotDraconium>, <minecraft:obsidian>, <ore:ingotDraconium>, <ore:ingotDraconium>],
    [<ore:ingotDraconium>, <minecraft:obsidian>, <gregtech:meta_item_1:19411>, <minecraft:obsidian>, <ore:ingotDraconium>],
    [<minecraft:obsidian>, <gregtech:meta_item_1:19411>, <gregtech:meta_item_1:12063>, <gregtech:meta_item_1:19411>, <minecraft:obsidian>],
    [<ore:ingotDraconium>, <minecraft:obsidian>, <gregtech:meta_item_1:19411>, <minecraft:obsidian>, <ore:ingotDraconium>],
    [<ore:ingotDraconium>, <ore:ingotDraconium>, <minecraft:obsidian>, <ore:ingotDraconium>, <ore:ingotDraconium>]])
  .setFluid(<liquid:blaze> * 673)
  .addTool(<ore:artisansGemCutter>, 10)
  .addTool(<ore:artisansCutters>, 10)
  .addTool(<ore:artisansBurner>, 10)
  .addOutput(<draconicevolution:infused_obsidian> * 4)
  .create();