import mods.artisanworktables.builder.RecipeBuilder;

#remove ender chest recipe
recipes.remove(<enderstorage:ender_storage>);

#add ender chest recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:compressed_14:3>, <minecraft:wool>, <minecraft:wool>, <minecraft:wool>, <gregtech:compressed_14:3>],
    [<preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <gregtech:meta_item_1:32724>, <gregtech:compressed_9:15>, <gregtech:meta_item_1:32724>, <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2})],
    [<preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <gregtech:compressed_9:15>, <minecraft:ender_chest>, <gregtech:compressed_9:15>, <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2})],
    [<preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <gregtech:meta_item_1:32724>, <gregtech:compressed_9:15>, <gregtech:meta_item_1:32724>, <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2})],
    [<gregtech:compressed_14:3>, <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <gregtech:compressed_14:3>]])
  .setFluid(<liquid:tungsten_carbide> * 420)
  .addTool(<ore:artisansFramingHammer>, 50)
  .addTool(<ore:artisansPliers>, 50)
  .addTool(<ore:artisansGemCutter>, 50)
  .addOutput(<enderstorage:ender_storage>)
  .create();

#remove ender tank recipe
recipes.remove(<enderstorage:ender_storage:1>);

#add endertank recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:compressed_14:3>, <minecraft:wool>, <minecraft:wool>, <minecraft:wool>, <gregtech:compressed_14:3>],
    [<preston:compressed_block>.withTag({stack: {id: "gregtech:compressed_15", Count: 1 as byte, Damage: 11 as short}, level: 3}), <gregtech:meta_item_1:32724>, <gregtech:compressed_9:15>, <gregtech:meta_item_1:32724>, <preston:compressed_block>.withTag({stack: {id: "gregtech:compressed_15", Count: 1 as byte, Damage: 11 as short}, level: 3})],
    [<preston:compressed_block>.withTag({stack: {id: "gregtech:compressed_15", Count: 1 as byte, Damage: 11 as short}, level: 3}), <gregtech:compressed_9:15>, <extrautils2:klein>, <gregtech:compressed_9:15>, <preston:compressed_block>.withTag({stack: {id: "gregtech:compressed_15", Count: 1 as byte, Damage: 11 as short}, level: 3})],
    [<preston:compressed_block>.withTag({stack: {id: "gregtech:compressed_15", Count: 1 as byte, Damage: 11 as short}, level: 3}), <gregtech:meta_item_1:32724>, <gregtech:compressed_9:15>, <gregtech:meta_item_1:32724>, <preston:compressed_block>.withTag({stack: {id: "gregtech:compressed_15", Count: 1 as byte, Damage: 11 as short}, level: 3})],
    [<gregtech:compressed_14:3>, <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <gregtech:compressed_14:3>]])
  .setFluid(<liquid:tungsten_carbide> * 420)
  .addTool(<ore:artisansFramingHammer>, 50)
  .addTool(<ore:artisansPliers>, 50)
  .addTool(<ore:artisansGemCutter>, 50)
  .addOutput(<enderstorage:ender_storage:1>)
  .create();

#remove ender pouch recipe
recipes.remove(<enderstorage:ender_pouch>);

#add ender pouch recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:19072>, <minecraft:wool>, <minecraft:wool>, <minecraft:wool>, <gregtech:meta_item_1:19072>],
    [<minecraft:leather>, <gregtech:meta_item_1:19395>, <gregtech:meta_item_1:19395>, <gregtech:meta_item_1:19395>, <minecraft:leather>],
    [<minecraft:leather>, <gregtech:meta_item_1:19395>, <enderstorage:ender_storage>, <gregtech:meta_item_1:19395>, <minecraft:leather>],
    [<minecraft:leather>, <gregtech:meta_item_1:19395>, <gregtech:meta_item_1:19395>, <gregtech:meta_item_1:19395>, <minecraft:leather>],
    [<gregtech:meta_item_1:19072>, <minecraft:leather>, <minecraft:leather>, <minecraft:leather>, <gregtech:meta_item_1:19072>]])
  .addTool(<artisanworktables:artisans_needle_iron>, 40)
  .addTool(<artisanworktables:artisans_hammer_iron>, 40)
  .addTool(<artisanworktables:artisans_cutters_iron>, 40)
  .addOutput(<enderstorage:ender_pouch>)
  .create();