import mods.artisanworktables.builder.RecipeBuilder;

#remove can recipe
recipes.remove(<forestry:can>);

#add can recipe
RecipeBuilder.get("basic")
  .setShaped([
    [null, <gregtech:meta_item_1:12071>, null],
    [<gregtech:meta_item_1:12071>, <minecraft:glass_pane>, <gregtech:meta_item_1:12071>],
    [null, <gregtech:meta_item_1:12071>, null]])
  .addTool(<ore:artisansBurner>, 3)
  .addTool(<ore:artisansHammer>, 3)
  .addTool(<ore:artisansCutters>, 3)
  .addOutput(<forestry:can> * 4)
  .create();

#remove crarpenter recipe
recipes.remove(<forestry:carpenter>);

#add carpenter recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12229>, <gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12229>, <gregtech:meta_item_1:12095>],
    [<gregtech:meta_item_1:12229>, <gregtech:meta_item_2:16228>, <gregtech:meta_item_2:16228>, <gregtech:meta_item_2:16228>, <gregtech:meta_item_1:12229>],
    [<gregtech:meta_item_1:12095>, <gregtech:meta_item_2:32487>, <gregtech:metal_casing>, <gregtech:meta_item_2:32487>, <gregtech:meta_item_1:12095>],
    [<gregtech:meta_item_1:12229>, <gregtech:meta_item_1:19237>, <gregtech:machine:812>, <gregtech:meta_item_1:19237>, <gregtech:meta_item_1:12229>],
    [<gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12229>, <gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12229>, <gregtech:meta_item_1:12095>]])
  .addTool(<ore:artisansFramingHammer>, 10)
  .addTool(<ore:artisansSolderer>, 10)
  .addTool(<ore:artisansCutters>, 10)
  .addOutput(<forestry:carpenter>)
  .create();

#remove centrifuge recipe
recipes.remove(<forestry:centrifuge>);

#add centrifuge recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12018>, <gregtech:meta_item_1:12109>, <gregtech:meta_item_1:12018>, <gregtech:meta_item_1:12109>, <gregtech:meta_item_1:12018>],
    [<gregtech:meta_item_1:12109>, <gregtech:meta_item_2:16228>, <gregtech:meta_item_2:16228>, <gregtech:meta_item_2:16228>, <gregtech:meta_item_1:12109>],
    [<gregtech:meta_item_1:12018>, <gregtech:meta_item_2:32487>, <gregtech:metal_casing>, <gregtech:meta_item_2:32487>, <gregtech:meta_item_1:12018>],
    [<gregtech:meta_item_1:12109>, <gregtech:meta_item_1:19237>, <gregtech:machine:802>, <gregtech:meta_item_1:19237>, <gregtech:meta_item_1:12109>],
    [<gregtech:meta_item_1:12018>, <gregtech:meta_item_1:12109>, <gregtech:meta_item_1:12018>, <gregtech:meta_item_1:12109>, <gregtech:meta_item_1:12018>]])
  .addTool(<ore:artisansFramingHammer>, 10)
  .addTool(<ore:artisansSolderer>, 10)
  .addTool(<ore:artisansCutters>, 10)
  .addOutput(<forestry:centrifuge>)
  .create();

#remove moistener recipe
recipes.remove(<forestry:moistener>);

#add moistener recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12018>, <gregtech:meta_item_1:12109>, <gregtech:meta_item_1:12018>, <gregtech:meta_item_1:12109>, <gregtech:meta_item_1:12018>],
    [<gregtech:meta_item_1:12109>, <gregtech:meta_item_2:26087>, <gregtech:meta_item_2:16228>, <gregtech:meta_item_2:26087>, <gregtech:meta_item_1:12109>],
    [<gregtech:meta_item_1:12018>, <gregtech:meta_item_2:32487>, <gregtech:metal_casing>, <gregtech:meta_item_2:32487>, <gregtech:meta_item_1:12018>],
    [<gregtech:meta_item_1:12109>, <gregtech:meta_item_1:17087>, <gregtech:machine:802>, <gregtech:meta_item_1:17087>, <gregtech:meta_item_1:12109>],
    [<gregtech:meta_item_1:12018>, <gregtech:meta_item_1:12109>, <gregtech:meta_item_1:12018>, <gregtech:meta_item_1:12109>, <gregtech:meta_item_1:12018>]])
  .addTool(<ore:artisansFramingHammer>, 10)
  .addTool(<ore:artisansSolderer>, 10)
  .addTool(<ore:artisansCutters>, 10)
  .addOutput(<forestry:moistener>)
  .create();

#remove thermionic fabricator recipe
recipes.remove(<forestry:fabricator>);

#add thermionic fabricator recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12026>, <gregtech:meta_item_1:12112>, <gregtech:meta_item_1:12026>, <gregtech:meta_item_1:12112>, <gregtech:meta_item_1:12026>],
    [<gregtech:meta_item_1:12112>, <gregtech:meta_item_2:16228>, <gregtech:meta_item_2:16228>, <gregtech:meta_item_2:16228>, <gregtech:meta_item_1:12112>],
    [<gregtech:meta_item_1:12026>, <gregtech:meta_item_2:32487>, <gregtech:metal_casing>, <gregtech:meta_item_2:32487>, <gregtech:meta_item_1:12026>],
    [<gregtech:meta_item_1:12112>, <gregtech:meta_item_1:19237>, <gregtech:machine:812>, <gregtech:meta_item_1:19237>, <gregtech:meta_item_1:12112>],
    [<gregtech:meta_item_1:12026>, <gregtech:meta_item_1:12112>, <gregtech:meta_item_1:12026>, <gregtech:meta_item_1:12112>, <gregtech:meta_item_1:12026>]])
  .addTool(<ore:artisansFramingHammer>, 10)
  .addTool(<ore:artisansSolderer>, 10)
  .addTool(<ore:artisansCutters>, 10)
  .addOutput(<forestry:fabricator>)
  .create();