import mods.artisanworktables.builder.RecipeBuilder;

#remove usused chests
mods.jei.JEI.removeAndHide(<gregtech:machine:807>);
mods.jei.JEI.removeAndHide(<gregtech:machine:808>);

#remove bronze chest recipe
recipes.remove(<gregtech:machine:802>);

#add bronze chest recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12095>],
    [<gregtech:meta_item_1:12095>, <gregtech:meta_item_1:19095>, <gregtech:meta_item_1:17095>, <gregtech:meta_item_1:19095>, <gregtech:meta_item_1:12095>],
    [<gregtech:meta_item_1:12095>, <gregtech:meta_item_1:19095>, <gregtech:meta_item_1:16095>, <gregtech:meta_item_1:19095>, <gregtech:meta_item_1:12095>],
    [<gregtech:meta_item_1:12095>, <minecraft:chest>, <gregtech:meta_item_1:19095>, <minecraft:chest>, <gregtech:meta_item_1:12095>],
    [<gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12095>, <gregtech:meta_item_1:12095>]])
  .addTool(<ore:artisansFramingHammer>, 10)
  .addTool(<ore:artisansDriver>, 10)
  .addTool(<ore:artisansBurner>, 10)
  .addOutput(<gregtech:machine:802>)
  .create();

#remove steel chest recipe
recipes.remove(<gregtech:machine:803>);

#add steel chest recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12184>, <gregtech:meta_item_1:12184>, <gregtech:meta_item_1:12184>, <gregtech:meta_item_1:12184>, <gregtech:meta_item_1:12184>],
    [<gregtech:meta_item_1:12184>, <gregtech:meta_item_1:19184>, <gregtech:meta_item_1:17184>, <gregtech:meta_item_1:19184>, <gregtech:meta_item_1:12184>],
    [<gregtech:meta_item_1:12184>, <gregtech:meta_item_1:19184>, <gregtech:meta_item_1:16184>, <gregtech:meta_item_1:19184>, <gregtech:meta_item_1:12184>],
    [<gregtech:meta_item_1:12184>, <gregtech:machine:802>, <gregtech:meta_item_1:19184>, <gregtech:machine:802>, <gregtech:meta_item_1:12184>],
    [<gregtech:meta_item_1:12184>, <gregtech:meta_item_1:12184>, <gregtech:meta_item_1:12184>, <gregtech:meta_item_1:12184>, <gregtech:meta_item_1:12184>]])
  .addTool(<ore:artisansFramingHammer>, 15)
  .addTool(<ore:artisansDriver>, 15)
  .addTool(<ore:artisansBurner>, 15)
  .addOutput(<gregtech:machine:803>)
  .create();

#remove stainless steel chest recipe
recipes.remove(<gregtech:machine:804>);

#add stainless steel chest recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12183>],
    [<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:19183>, <gregtech:meta_item_1:17183>, <gregtech:meta_item_1:19183>, <gregtech:meta_item_1:12183>],
    [<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:19183>, <gregtech:meta_item_1:16183>, <gregtech:meta_item_1:19183>, <gregtech:meta_item_1:12183>],
    [<gregtech:meta_item_1:12183>, <gregtech:machine:803>, <gregtech:meta_item_1:19183>, <gregtech:machine:803>, <gregtech:meta_item_1:12183>],
    [<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12183>]])
  .addTool(<ore:artisansFramingHammer>, 20)
  .addTool(<ore:artisansDriver>, 20)
  .addTool(<ore:artisansBurner>, 20)
  .addOutput(<gregtech:machine:804>)
  .create();

#remove titanium chest recipe
recipes.remove(<gregtech:machine:805>);

#add titanium chest recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12072>, <gregtech:meta_item_1:12072>, <gregtech:meta_item_1:12072>, <gregtech:meta_item_1:12072>, <gregtech:meta_item_1:12072>],
    [<gregtech:meta_item_1:12072>, <gregtech:meta_item_1:19072>, <gregtech:meta_item_1:17072>, <gregtech:meta_item_1:19072>, <gregtech:meta_item_1:12072>],
    [<gregtech:meta_item_1:12072>, <gregtech:meta_item_1:19072>, <gregtech:meta_item_1:16072>, <gregtech:meta_item_1:19072>, <gregtech:meta_item_1:12072>],
    [<gregtech:meta_item_1:12072>, <gregtech:machine:804>, <gregtech:meta_item_1:19072>, <gregtech:machine:804>, <gregtech:meta_item_1:12072>],
    [<gregtech:meta_item_1:12072>, <gregtech:meta_item_1:12072>, <gregtech:meta_item_1:12072>, <gregtech:meta_item_1:12072>, <gregtech:meta_item_1:12072>]])
  .addTool(<ore:artisansFramingHammer>, 25)
  .addTool(<ore:artisansDriver>, 25)
  .addTool(<ore:artisansBurner>, 25)
  .addOutput(<gregtech:machine:805>)
  .create();

#remove tungstensteel chest recipe
recipes.remove(<gregtech:machine:806>);

#add tungstensteel chest recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12235>, <gregtech:meta_item_1:12235>, <gregtech:meta_item_1:12235>, <gregtech:meta_item_1:12235>, <gregtech:meta_item_1:12235>],
    [<gregtech:meta_item_1:12235>, <gregtech:meta_item_1:19235>, <gregtech:meta_item_1:17235>, <gregtech:meta_item_1:19235>, <gregtech:meta_item_1:12235>],
    [<gregtech:meta_item_1:12235>, <gregtech:meta_item_1:19235>, <gregtech:meta_item_1:16235>, <gregtech:meta_item_1:19235>, <gregtech:meta_item_1:12235>],
    [<gregtech:meta_item_1:12235>, <gregtech:machine:805>, <gregtech:meta_item_1:19235>, <gregtech:machine:805>, <gregtech:meta_item_1:12235>],
    [<gregtech:meta_item_1:12235>, <gregtech:meta_item_1:12235>, <gregtech:meta_item_1:12235>, <gregtech:meta_item_1:12235>, <gregtech:meta_item_1:12235>]])
  .addTool(<ore:artisansFramingHammer>, 30)
  .addTool(<ore:artisansDriver>, 30)
  .addTool(<ore:artisansBurner>, 30)
  .addOutput(<gregtech:machine:806>)
  .create();