import mods.artisanworktables.builder.RecipeBuilder;

#remove flint'n'steel recipe
recipes.remove(<minecraft:flint_and_steel>);

#add flint'n'steel recipe
recipes.addShapeless("flintnsteel",<minecraft:flint_and_steel>,[<minecraft:flint>,<ore:ingotSteel>]);

#remove crafting table recipe
recipes.remove(<minecraft:crafting_table>);

#add crafting table recipe
recipes.addShaped("vanilla_ct",<minecraft:crafting_table>,[
  [<pyrotech:material:20>,<pyrotech:material:23>,<pyrotech:material:20>],
  [<pyrotech:material:23>,<minecraft:iron_block>,<pyrotech:material:23>],
  [<pyrotech:material:20>,<pyrotech:material:23>,<pyrotech:material:20>]
]);

#remove chest recipe
recipes.remove(<minecraft:chest>);

#add chest recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>],
    [<pyrotech:material:20>, null, <gregtech:meta_item_1:17033>, null, <pyrotech:material:20>],
    [<pyrotech:material:20>, null, <gregtech:meta_item_1:16033>, null, <pyrotech:material:20>],
    [<pyrotech:material:20>, null, null, null, <pyrotech:material:20>],
    [<pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>]])
  .addTool(<ore:artisansDriver>, 10)
  .addTool(<ore:artisansHandsaw>, 10)
  .addTool(<ore:artisansFramingHammer>, 10)
  .addOutput(<minecraft:chest>)
  .create();

#remove cauldron recipe
recipes.remove(<minecraft:cauldron>);

#add cauldron recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12033>, null, null, null, <gregtech:meta_item_1:12033>],
    [<gregtech:meta_item_1:12033>, null, null, null, <gregtech:meta_item_1:12033>],
    [<gregtech:meta_item_1:12033>, null, null, null, <gregtech:meta_item_1:12033>],
    [<gregtech:meta_item_1:12033>, null, null, null, <gregtech:meta_item_1:12033>],
    [<gregtech:meta_item_1:12197>, <gregtech:meta_item_1:12197>, <gregtech:meta_item_1:12197>, <gregtech:meta_item_1:12197>, <gregtech:meta_item_1:12197>]])
  .addTool(<ore:artisansHammer>, 10)
  .addTool(<ore:artisansBurner>, 10)
  .addTool(<ore:artisansPliers>, 10)
  .addOutput(<minecraft:cauldron>)
  .create();

#remove tnt recipe
recipes.remove(<minecraft:tnt>);

#remove golden apple recipe
recipes.remove(<minecraft:golden_apple>);

#add golden apple recipe
recipes.addShaped("Gapple",<minecraft:golden_apple>,[
  [<gregtech:meta_item_1:19026>,<gregtech:compressed_10:7>,<gregtech:meta_item_1:19026>],
  [<gregtech:compressed_10:7>,<minecraft:apple>,<gregtech:compressed_10:7>],
  [<gregtech:meta_item_1:19026>,<gregtech:compressed_10:7>,<gregtech:meta_item_1:19026>]
]);

#remove enchanted golden apple recipe
recipes.remove(<minecraft:golden_apple:1>);

#add enchanted golden apple recipe
recipes.addShaped("EGapple",<minecraft:golden_apple:1>,[
  [<extrautils2:simpledecorative>,<extrautils2:simpledecorative>,<extrautils2:simpledecorative>],
  [<extrautils2:simpledecorative>,<minecraft:golden_apple>,<extrautils2:simpledecorative>],
  [<extrautils2:simpledecorative>,<extrautils2:simpledecorative>,<extrautils2:simpledecorative>]
]);

#remove piston recipe
recipes.remove(<minecraft:piston>);

#add piston recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<ore:drawerTrim>, <ore:drawerTrim>, <ore:drawerTrim>, <ore:drawerTrim>, <ore:drawerTrim>],
    [<pyrotech:stone_bricks>, <ore:drawerTrim>, <gregtech:meta_item_1:14033>, <ore:drawerTrim>, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, <gregtech:meta_item_2:26033>, <gregtech:meta_item_1:14033>, <gregtech:meta_item_2:26033>, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, <gregtech:meta_item_1:12237>, <gregtech:meta_item_2:16237>, <gregtech:meta_item_1:12237>, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>]])
  .addTool(<ore:artisansHammer>, 7)
  .addTool(<ore:artisansPliers>, 7)
  .addTool(<ore:artisansHandsaw>, 7)
  .addOutput(<minecraft:piston>)
  .create();

#remove sticky piston recipe
recipes.remove(<minecraft:sticky_piston>);

#add sticky piston recipe
RecipeBuilder.get("basic")
  .setShapeless([<minecraft:slime_ball>, <minecraft:slime_ball>, <minecraft:slime_ball>, <minecraft:piston>])
  .setFluid(<liquid:glue> * 20)
  .addOutput(<minecraft:sticky_piston>)
  .create();

#remove furnace recipe
recipes.remove(<minecraft:furnace>);

#add furnace recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, null, null, null, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:igniter>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>],
    [<gregtech:meta_item_1:12033>, <minecraft:fire_charge>, <minecraft:fire_charge>, <minecraft:fire_charge>, <gregtech:meta_item_1:12033>],
    [<gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>]])
  .addTool(<ore:artisansHammer>, 14)
  .addTool(<ore:artisansBurner>, 14)
  .addTool(<ore:artisansPliers>, 14)
  .addOutput(<minecraft:furnace>)
  .create();

#remove fire charge recipe
recipes.remove(<minecraft:fire_charge>);

#add fire charge recipe
recipes.addShapeless("FireCharge",<minecraft:fire_charge>,[<minecraft:gunpowder>,<gregtech:meta_item_1:2050>,<minecraft:blaze_powder>,<minecraft:gunpowder>,<gregtech:meta_item_1:2357>,<minecraft:blaze_powder>,<minecraft:blaze_powder>,<minecraft:blaze_powder>,<minecraft:blaze_powder>]);

#remove anvil recipe
recipes.remove(<minecraft:anvil>);

#add anvil recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<minecraft:iron_block>, <minecraft:iron_block>, <minecraft:iron_block>, <minecraft:iron_block>, <minecraft:iron_block>],
    [<minecraft:iron_block>, <minecraft:iron_block>, <minecraft:iron_block>, <minecraft:iron_block>, <minecraft:iron_block>],
    [null, null, <gregtech:meta_item_1:12033>, null, null],
    [null, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, null]])
  .addTool(<ore:artisansBurner>, 100)
  .addTool(<ore:artisansHammer>, 100)
  .addTool(<ore:artisansPliers>, 100)
  .addOutput(<minecraft:anvil>)
  .create();

#remove enchanting table recipe
recipes.remove(<minecraft:enchanting_table>);

#add enchanting table recipe
RecipeBuilder.get("basic")
  .setShaped([
    [null, <minecraft:carpet:14>, <xpbook:xp_book>, <minecraft:carpet:14>, null],
    [null, <avaritia:resource>, <avaritia:resource>, <avaritia:resource>, null],
    [<gregtech:meta_item_1:12111>, <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <gregtech:meta_item_1:12111>],
    [<preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2})]])
  .setFluid(<liquid:vinyl_acetate> * 750)
  .addTool(<ore:artisansHammer>, 70)
  .addTool(<ore:artisansHandsaw>, 70)
  .addTool(<ore:artisansPliers>, 70)
  .addOutput(<minecraft:enchanting_table>)
  .create();

#remove ender chest recipe
recipes.remove(<minecraft:ender_chest>);

#add ender chest recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2})],
    [<preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <gregtech:meta_item_1:16411>, <gregtech:meta_item_2:16238>, <gregtech:meta_item_1:16411>, <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2})],
    [<preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <gregtech:meta_item_2:16238>, <gregtech:compressed_9:15>, <gregtech:meta_item_2:16238>, <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2})],
    [<preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <gregtech:meta_item_1:16411>, <gregtech:meta_item_2:16238>, <gregtech:meta_item_1:16411>, <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2})],
    [<preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2})]])
  .setFluid(<liquid:dimethyldichlorosilane> * 1230)
  .addTool(<ore:artisansHandsaw>, 70)
  .addTool(<ore:artisansFramingHammer>, 70)
  .addTool(<ore:artisansSpanner>, 70)
  .addOutput(<minecraft:ender_chest>)
  .create();

#remove ender eye recipe
recipes.remove(<minecraft:ender_eye>);

#add ender eye recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<avaritia:resource>, <gregtech:meta_item_1:19200>, <gregtech:meta_item_1:19411>, <gregtech:meta_item_1:19200>, <avaritia:resource>],
    [<gregtech:meta_item_1:19200>, <gregtech:meta_item_1:19411>, <gregtech:compressed_9:14>, <gregtech:meta_item_1:19411>, <gregtech:meta_item_1:19200>],
    [<gregtech:meta_item_1:19411>, <gregtech:compressed_9:14>, <gregtech:meta_item_1:15218>, <gregtech:compressed_9:14>, <gregtech:meta_item_1:19411>],
    [<gregtech:meta_item_1:19200>, <gregtech:meta_item_1:19411>, <gregtech:compressed_9:14>, <gregtech:meta_item_1:19411>, <gregtech:meta_item_1:19200>],
    [<avaritia:resource>, <gregtech:meta_item_1:19200>, <gregtech:meta_item_1:19411>, <gregtech:meta_item_1:19200>, <avaritia:resource>]])
  .setFluid(<liquid:blaze> * 12000)
  .addTool(<ore:artisansGemCutter>, 69)
  .addTool(<ore:artisansPliers>, 69)
  .addTool(<ore:artisansMortar>, 69)
  .addOutput(<minecraft:ender_eye>)
  .create();

#remove rail recipe
recipes.remove(<minecraft:rail>);

#add rail recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:14183>, <forestry:oak_stick>, <forestry:oak_stick>, <forestry:oak_stick>, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, null, null, null, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, <forestry:oak_stick>, <forestry:oak_stick>, <forestry:oak_stick>, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, null, null, null, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, <forestry:oak_stick>, <forestry:oak_stick>, <forestry:oak_stick>, <gregtech:meta_item_1:14183>]])
  .addTool(<ore:artisansHammer>, 5)
  .addTool(<ore:artisansPliers>, 5)
  .addTool(<ore:artisansBurner>, 5)
  .addOutput(<minecraft:rail> * 10)
  .create();

#remove powered rail recipe
recipes.remove(<minecraft:golden_rail>);

#add powered rail recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:14183>, null, <gregtech:meta_item_2:16237>, null, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14228>, <gregtech:meta_item_1:19237>, <forestry:oak_stick>, <gregtech:meta_item_1:19237>, <gregtech:meta_item_1:14228>],
    [<gregtech:meta_item_1:14183>, null, <gregtech:meta_item_2:16237>, null, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14228>, <gregtech:meta_item_1:19237>, <forestry:oak_stick>, <gregtech:meta_item_1:19237>, <gregtech:meta_item_1:14228>],
    [<gregtech:meta_item_1:14183>, null, <gregtech:meta_item_2:16237>, null, <gregtech:meta_item_1:14183>]])
  .addTool(<ore:artisansHammer>, 10)
  .addTool(<ore:artisansBurner>, 10)
  .addTool(<ore:artisansSolderer>, 10)
  .addOutput(<minecraft:golden_rail> * 3)
  .create();

#remove detector rail recipe
recipes.remove(<minecraft:detector_rail>);

#add detector rail recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:14183>, null, null, null, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, <minecraft:stick>, <minecraft:stick>, <minecraft:stick>, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, <gregtech:meta_item_1:19237>, <minecraft:heavy_weighted_pressure_plate>, <gregtech:meta_item_1:19237>, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, <minecraft:stick>, <gregtech:meta_item_2:16237>, <minecraft:stick>, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, null, null, null, <gregtech:meta_item_1:14183>]])
  .addTool(<ore:artisansHammer>, 10)
  .addTool(<ore:artisansBurner>, 10)
  .addTool(<ore:artisansSolderer>, 10)
  .addOutput(<minecraft:detector_rail>)
  .create();

#remove activator rail recipe
recipes.remove(<minecraft:activator_rail>);

#add activetor rail recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:14183>, null, null, null, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, <minecraft:stick>, <gregtech:meta_item_1:19237>, <minecraft:stick>, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, null, <gregtech:meta_item_2:16237>, null, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, <minecraft:stick>, <gregtech:meta_item_1:19237>, <minecraft:stick>, <gregtech:meta_item_1:14183>],
    [<gregtech:meta_item_1:14183>, null, <gregtech:meta_item_2:16237>, null, <gregtech:meta_item_1:14183>]])
  .addTool(<ore:artisansHammer>, 10)
  .addTool(<ore:artisansBurner>, 10)
  .addTool(<ore:artisansSolderer>, 10)
  .addOutput(<minecraft:activator_rail>)
  .create();

#remove jukebox recipe
recipes.remove(<minecraft:jukebox>);

#add jukebox recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<pyrotech:material:20>, <pyrotech:material:20>, null, <pyrotech:material:20>, <pyrotech:material:20>],
    [<pyrotech:material:20>, <gregtech:meta_item_2:16237>, <gregtech:meta_item_2:24111>, <gregtech:meta_item_2:16237>, <pyrotech:material:20>],
    [<pyrotech:material:20>, <minecraft:noteblock>, <gregtech:meta_item_1:19112>, <minecraft:noteblock>, <pyrotech:material:20>],
    [<pyrotech:material:20>, <minecraft:noteblock>, <gregtech:meta_item_1:19112>, <minecraft:noteblock>, <pyrotech:material:20>],
    [<pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>]])
  .addTool(<ore:artisansGemCutter>, 20)
  .addTool(<ore:artisansHandsaw>, 20)
  .addTool(<ore:artisansCutters>, 20)
  .addOutput(<minecraft:jukebox>)
  .create();

#remove note block recipe
recipes.remove(<minecraft:noteblock>);

#add note block recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>],
    [<pyrotech:material:20>, <gregtech:meta_item_2:16299>, <gregtech:meta_item_2:16299>, <gregtech:meta_item_2:16299>, <pyrotech:material:20>],
    [<pyrotech:material:20>, <gregtech:meta_item_1:14227>, <gregtech:meta_item_1:19237>, <gregtech:meta_item_1:14227>, <pyrotech:material:20>],
    [<pyrotech:material:20>, <gregtech:meta_item_1:14133>, <gregtech:meta_item_2:16237>, <gregtech:meta_item_1:14133>, <pyrotech:material:20>],
    [<pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>, <pyrotech:material:20>]])
  .setFluid(<liquid:epichlorhydrin> * 20)
  .addTool(<ore:artisansHandsaw>, 7)
  .addTool(<ore:artisansCutters>, 7)
  .addTool(<ore:artisansFramingHammer>, 7)
  .addOutput(<minecraft:noteblock>)
  .create();

#remove redstone torch recipe
recipes.remove(<minecraft:redstone_torch>);

#add redstone torch recipe
RecipeBuilder.get("basic")
  .setShapeless([<extrautils2:ingredients>, <forestry:oak_stick>])
  .setFluid(<liquid:red_alloy> * 432)
  .addTool(<ore:artisansGemCutter>, 4)
  .addTool(<ore:artisansHandsaw>, 4)
  .addTool(<ore:artisansPliers>, 4)
  .addOutput(<minecraft:redstone_torch>)
  .create();

#remove repeater recipe
recipes.remove(<minecraft:repeater>);

#add repeater recipe
RecipeBuilder.get("basic")
  .setShaped([
    [null, <minecraft:redstone_torch>, null, null, <minecraft:redstone_torch>],
    [<gregtech:meta_item_2:16237>, <gregtech:meta_item_1:12215>, <gregtech:meta_item_2:16237>, <gregtech:meta_item_2:16237>, <gregtech:meta_item_1:12215>],
    [<gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>]])
  .addTool(<ore:artisansPliers>, 7)
  .addTool(<ore:artisansSolderer>, 7)
  .addTool(<ore:artisansFramingHammer>, 7)
  .addOutput(<minecraft:repeater>)
  .create();

#remove comparator recipe
recipes.remove(<minecraft:comparator>);

#add comparator recipe
RecipeBuilder.get("basic")
  .setShaped([
    [null, null, <minecraft:redstone_torch>, null, null],
    [null, null, <gregtech:meta_item_1:12215>, null, null],
    [<minecraft:redstone_torch>, <gregtech:meta_item_2:16237>, <buildcraftsilicon:redstone_chipset>, <gregtech:meta_item_2:16237>, <minecraft:redstone_torch>],
    [<gregtech:meta_item_1:12215>, <gregtech:meta_item_2:16237>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_2:16237>, <gregtech:meta_item_1:12215>],
    [<gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>]])
  .addTool(<ore:artisansFramingHammer>, 10)
  .addTool(<ore:artisansSolderer>, 10)
  .addTool(<ore:artisansCutters>, 10)
  .addOutput(<minecraft:comparator>)
  .create();

#remove dispenser recipe
recipes.remove(<minecraft:dispenser>);

#add dispenser recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, <gregtech:meta_item_1:12328>, <minecraft:bow>, <gregtech:meta_item_1:12328>, <pyrotech:stone_bricks>],
    [<gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12215>, <gregtech:meta_item_2:16237>, <gregtech:meta_item_1:12215>, <gregtech:meta_item_1:12033>],
    [<gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>]])
  .addTool(<ore:artisansSolderer>, 15)
  .addTool(<ore:artisansCutters>, 15)
  .addTool(<ore:artisansFramingHammer>, 15)
  .addOutput(<minecraft:dispenser>)
  .create();

#remove dropper recipe
recipes.remove(<minecraft:dropper>);

#add dropper recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>, <gregtech:meta_item_1:12328>, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, <gregtech:meta_item_1:12328>, null, <gregtech:meta_item_1:12328>, <pyrotech:stone_bricks>],
    [<gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12215>, <gregtech:meta_item_2:16237>, <gregtech:meta_item_1:12215>, <gregtech:meta_item_1:12033>],
    [<gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>, <gregtech:meta_item_1:12033>]])
  .addTool(<ore:artisansSolderer>, 15)
  .addTool(<ore:artisansCutters>, 15)
  .addTool(<ore:artisansFramingHammer>, 15)
  .addOutput(<minecraft:dropper>)
  .create();

#remove observer recipe
recipes.remove(<minecraft:observer>);

#add observer recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <gregtech:meta_item_1:12215>, <gregtech:meta_item_1:19237>, <gregtech:meta_item_1:19112>],
    [<gregtech:meta_item_2:16237>, <buildcraftsilicon:redstone_chipset:3>, <gregtech:meta_item_2:16237>, <gregtech:meta_item_1:19237>, <gregtech:meta_item_1:19112>],
    [<pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <gregtech:meta_item_1:12215>, <gregtech:meta_item_1:19237>, <gregtech:meta_item_1:19112>],
    [<pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>, <pyrotech:stone_bricks>]])
  .addTool(<ore:artisansSolderer>, 20)
  .addTool(<ore:artisansFramingHammer>, 20)
  .addTool(<ore:artisansCutters>, 20)
  .addOutput(<minecraft:observer>)
  .create();

#remove brewing stand recipe
recipes.remove(<minecraft:brewing_stand>);

#add brewing stand recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:14231>, <gregtech:meta_item_1:12470>, <gregtech:meta_item_1:12470>, <gregtech:meta_item_1:12470>, <gregtech:meta_item_1:14231>],
    [null, <gregtech:meta_item_1:19142>, <gregtech:meta_item_1:14302>, <gregtech:meta_item_1:19142>, null],
    [null, <gregtech:meta_item_1:19142>, <gregtech:meta_item_1:14302>, <gregtech:meta_item_1:19142>, null],
    [null, <gregtech:meta_item_1:19142>, <gregtech:meta_item_1:14302>, <gregtech:meta_item_1:19142>, null],
    [<preston:compressed_block>.withTag({stack: {id: "extrautils2:decorativesolid", Count: 1 as byte, Damage: 3 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "extrautils2:decorativesolid", Count: 1 as byte, Damage: 3 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "extrautils2:decorativesolid", Count: 1 as byte, Damage: 3 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "extrautils2:decorativesolid", Count: 1 as byte, Damage: 3 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "extrautils2:decorativesolid", Count: 1 as byte, Damage: 3 as short}, level: 2})]])
  .setFluid(<liquid:dimethylhidrazine> * 1450)
  .addTool(<ore:artisansHammer>, 40)
  .addTool(<ore:artisansCutters>, 40)
  .addTool(<ore:artisansBurner>, 40)
  .addOutput(<minecraft:brewing_stand>)
  .create();
#remove ender crystal recipe
recipes.remove(<minecraft:end_crystal>);

#add ender crystal recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:19299>, <gregtech:meta_item_1:12145>, <gregtech:meta_item_1:19299>, <gregtech:meta_item_1:12145>, <gregtech:meta_item_1:19299>],
    [<gregtech:meta_item_1:12145>, <draconicevolution:draconic_core>, <gregtech:meta_item_1:12219>, <draconicevolution:draconic_core>, <gregtech:meta_item_1:12145>],
    [<gregtech:meta_item_1:19299>, <gregtech:meta_item_1:12219>, <gregtech:meta_item_1:32725>, <gregtech:meta_item_1:12219>, <gregtech:meta_item_1:19299>],
    [<gregtech:meta_item_1:12145>, <draconicevolution:draconic_core>, <gregtech:meta_item_1:12219>, <draconicevolution:draconic_core>, <gregtech:meta_item_1:12145>],
    [<gregtech:meta_item_1:19299>, <gregtech:meta_item_1:12145>, <gregtech:meta_item_1:19299>, <gregtech:meta_item_1:12145>, <gregtech:meta_item_1:19299>]])
  .setFluid(<liquid:polyphenylene_sulfide> * 674)
  .addTool(<artisanworktables:artisans_hammer_iron>, 25)
  .addTool(<artisanworktables:artisans_burner_iron>, 25)
  .addTool(<artisanworktables:artisans_gemcutter_iron>, 25)
  .addOutput(<minecraft:end_crystal>)
  .create();

#remove bread recipe
recipes.remove(<minecraft:bread>);

#add bread furnace recipe
furnace.addRecipe(<minecraft:bread>,<contenttweaker:uncooked_bread>);