import mods.artisanworktables.builder.RecipeBuilder;

#add tooltip
<contenttweaker:bedrock_catalyst>.addTooltip(format.white("Right clicking an obsidian block while holding this item,"));
<contenttweaker:bedrock_catalyst>.addTooltip(format.white("will convert the block to bedrock."));
<contenttweaker:bedrock_catalyst>.addTooltip(format.red("Choose wisely as it cannot be undone."));

#add bedrock catalyst recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:32726>, <gregtech:compressed_2>, <draconicevolution:chaotic_core>, <gregtech:compressed_2>, <gregtech:meta_item_1:32726>],
    [<gregtech:compressed_2>, <avaritia:block_resource:1>, <avaritia:block_resource>, <avaritia:block_resource:1>, <gregtech:compressed_2>],
    [<draconicevolution:chaotic_core>, <avaritia:block_resource>, <preston:compressed_block>.withTag({stack: {id: "minecraft:cobblestone", Count: 1 as byte, Damage: 0 as short}, level: 16}), <avaritia:block_resource>, <draconicevolution:chaotic_core>],
    [<gregtech:compressed_2>, <avaritia:block_resource:1>, <avaritia:block_resource>, <avaritia:block_resource:1>, <gregtech:compressed_2>],
    [<gregtech:meta_item_1:32726>, <gregtech:compressed_2>, <draconicevolution:chaotic_core>, <gregtech:compressed_2>, <gregtech:meta_item_1:32726>]])
  .setFluid(<liquid:eternal_fabric> * 10000)
  .addTool(<artisanworktables:artisans_hammer_iron>, 1500)
  .addTool(<artisanworktables:artisans_mortar_iron>, 1500)
  .addTool(<artisanworktables:artisans_gemcutter_iron>, 1500)
  .addOutput(<contenttweaker:bedrock_catalyst>)
  .create();