import mods.artisanworktables.builder.RecipeBuilder;

#remove existing resistor recipe
recipes.remove(<gregtech:meta_item_2:32455>);

#cable and no glue recipe
RecipeBuilder.get("basic")
  .setShaped([
    [null, <minecraft:paper>, null],
    [<gregtech:cable:18>, <ore:dustCoal>, <gregtech:cable:18>],
    [null, <minecraft:paper>, null]])
  .addTool(<ore:artisansCutters>, 5)
  .addTool(<ore:artisansSolderer>, 5)
  .addOutput(<gregtech:meta_item_2:32455>)
  .create();
  
#cable and glue recipe
RecipeBuilder.get("basic")
  .setShaped([
    [null, <minecraft:paper>, null],
    [<gregtech:cable:18>, <ore:dustCoal>, <gregtech:cable:18>],
    [null, <minecraft:paper>, null]])
  .setFluid(<liquid:glue> * 50)
  .addTool(<ore:artisansCutters>, 5)
  .addTool(<ore:artisansSolderer>, 5)
  .addOutput(<gregtech:meta_item_2:32455> * 2)
  .create();
  
#wire and no glue recipe
RecipeBuilder.get("basic")
  .setShaped([
    [null, <minecraft:paper>, null],
    [<gregtech:meta_item_2:16018>, <ore:dustCoal>, <gregtech:meta_item_2:16018>],
    [null, <minecraft:paper>, null]])
  .addTool(<ore:artisansCutters>, 5)
  .addTool(<ore:artisansSolderer>, 5)
  .addOutput(<gregtech:meta_item_2:32455> * 3)
  .create();
  
#wire and glue recipe
RecipeBuilder.get("basic")
  .setShaped([
    [null, <minecraft:paper>, null],
    [<gregtech:meta_item_2:16018>, <ore:dustCoal>, <gregtech:meta_item_2:16018>],
    [null, <minecraft:paper>, null]])
  .setFluid(<liquid:glue> * 50)
  .addTool(<ore:artisansCutters>, 5)
  .addTool(<ore:artisansSolderer>, 5)
  .addOutput(<gregtech:meta_item_2:32455> * 4)
  .create();