import mods.artisanworktables.builder.RecipeBuilder;

#remove plaster recipe
recipes.remove(<roughtweaks:plaster>);

#add plaster recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<minecraft:string>, <minecraft:paper>, <minecraft:paper>, <minecraft:paper>, <minecraft:string>],
    [<minecraft:string>, <minecraft:carpet>, <minecraft:carpet>, <minecraft:carpet>, <minecraft:string>]])
  .setFluid(<liquid:glue> * 10)
  .addTool(<ore:artisansNeedle>, 7)
  .addTool(<ore:artisansRazor>, 7)
  .addOutput(<roughtweaks:plaster>)
  .create();

#remove healing salve recipe
recipes.remove(<roughtweaks:salve>);

#remove bandage recipe
recipes.remove(<roughtweaks:bandage>);

#add bandage recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:19228>, <gregtech:meta_item_1:19228>, <gregtech:meta_item_1:19228>, <gregtech:meta_item_1:19228>, <gregtech:meta_item_1:19228>],
    [<minecraft:string>, <minecraft:string>, <minecraft:string>, <minecraft:string>, <minecraft:string>],
    [<minecraft:paper>, <minecraft:paper>, <minecraft:paper>, <minecraft:paper>, <minecraft:paper>],
    [<minecraft:carpet>, <minecraft:carpet>, <minecraft:carpet>, <minecraft:carpet>, <minecraft:carpet>],
    [<gregtech:meta_item_1:62>, <gregtech:meta_item_1:62>, <gregtech:meta_item_1:62>, <gregtech:meta_item_1:62>, <gregtech:meta_item_1:62>]])
  .setFluid(<liquid:glue> * 100)
  .addTool(<ore:artisansNeedle>, 20)
  .addTool(<ore:artisansRazor>, 20)
  .addOutput(<roughtweaks:bandage>)
  .create();

#remove medikit recipe
recipes.remove(<roughtweaks:medikit>);

#add medikit recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12301>, <gregtech:meta_item_1:12965>, <gregtech:meta_item_1:12145>, <gregtech:meta_item_1:12965>, <gregtech:meta_item_1:12301>],
    [<gregtech:meta_item_1:12965>, <roughtweaks:plaster>, <minecraft:nether_wart>, <roughtweaks:bandage>, <gregtech:meta_item_1:12965>],
    [<gregtech:meta_item_1:12145>, <minecraft:blaze_powder>, <gregtech:meta_item_1:16233>, <minecraft:blaze_powder>, <gregtech:meta_item_1:12145>],
    [<gregtech:meta_item_1:12965>, <roughtweaks:plaster>, <minecraft:nether_wart>, <roughtweaks:bandage>, <gregtech:meta_item_1:12965>],
    [<gregtech:meta_item_1:12301>, <gregtech:meta_item_1:12965>, <gregtech:meta_item_1:12145>, <gregtech:meta_item_1:12965>, <gregtech:meta_item_1:12301>]])
  .setFluid(<liquid:isoprene> * 230)
  .addTool(<ore:artisansCutters>, 30)
  .addTool(<ore:artisansHammer>, 30)
  .addTool(<ore:artisansPliers>, 30)
  .addOutput(<roughtweaks:medikit>)
  .create();

#remove enchanted medikit recipe
recipes.remove(<roughtweaks:medikitenchanted>);

#add enchanted medikit recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:19207>, <gregtech:meta_item_1:19207>, <extrautils2:simpledecorative>, <gregtech:meta_item_1:19207>, <gregtech:meta_item_1:19207>],
    [<gregtech:meta_item_1:19207>, <minecraft:ghast_tear>, <roughtweaks:medikit>, <minecraft:ghast_tear>, <gregtech:meta_item_1:19207>],
    [<extrautils2:simpledecorative>, <minecraft:golden_apple>.withTag({Rot: {start: 282240 as long, time: 672000 as long}}), <minecraft:golden_apple>.withTag({Rot: {start: 282240 as long, time: 672000 as long}}), <minecraft:golden_apple>.withTag({Rot: {start: 282240 as long, time: 672000 as long}}), <extrautils2:simpledecorative>],
    [<gregtech:meta_item_1:19207>, <minecraft:ghast_tear>, <roughtweaks:medikit>, <minecraft:ghast_tear>, <gregtech:meta_item_1:19207>],
    [<gregtech:meta_item_1:19207>, <gregtech:meta_item_1:19207>, <extrautils2:simpledecorative>, <gregtech:meta_item_1:19207>, <gregtech:meta_item_1:19207>]])
  .setFluid(<liquid:blaze> * 500)
  .addTool(<ore:artisansHammer>, 50)
  .addTool(<ore:artisansBurner>, 50)
  .addTool(<ore:artisansPliers>, 50)
  .addOutput(<roughtweaks:medikitenchanted>)
  .create();
