import mods.artisanworktables.builder.RecipeBuilder;

#remove warp stone recipe
recipes.remove(<waystones:warp_stone>);

#add warp stone reipe
RecipeBuilder.get("basic")
  .setShaped([
    [<advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}}), <advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}}), <gregtech:meta_item_1:12218>, <advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}}), <advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}})],
    [<advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}}), <gregtech:meta_item_1:12218>, <gregtech:meta_item_1:12113>, <gregtech:meta_item_1:12218>, <advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}})],
    [<gregtech:meta_item_1:12218>, <gregtech:meta_item_1:12113>, <gregtech:meta_item_2:25113>, <gregtech:meta_item_1:12113>, <gregtech:meta_item_1:12218>],
    [<advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}}), <gregtech:meta_item_1:12218>, <gregtech:meta_item_1:12113>, <gregtech:meta_item_1:12218>, <advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}})],
    [<advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}}), <advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}}), <gregtech:meta_item_1:12218>, <advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}}), <advanced-fishing:fish:15>.withTag({Rot: {start: 183120 as long, time: 168000 as long}})]])
  .setFluid(<liquid:indium_gallium_phosphide> * 1430)
  .addTool(<ore:artisansGemCutter>, 15)
  .addTool(<ore:artisansPliers>, 15)
  .addTool(<ore:artisansBurner>, 15)
  .addOutput(<waystones:warp_stone>)
  .create();

#remove waystone recipe
recipes.remove(<waystones:waystone>);

#add waystone recipe
RecipeBuilder.get("basic")
  .setShaped([
    [null, null, <pyrotech:stone_bricks>, null, null],
    [null, <pyrotech:stone_bricks>, <waystones:warp_stone>, <pyrotech:stone_bricks>, null],
    [<pyrotech:stone_bricks>, <waystones:warp_stone>, <gregtech:meta_item_1:15219>, <waystones:warp_stone>, <pyrotech:stone_bricks>],
    [<pyrotech:stone_bricks>, <gregtech:meta_item_1:15216>, <waystones:warp_stone>, <gregtech:meta_item_1:15216>, <pyrotech:stone_bricks>],
    [<preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2}), <preston:compressed_block>.withTag({stack: {id: "minecraft:obsidian", Count: 1 as byte, Damage: 0 as short}, level: 2})]])
  .setFluid(<liquid:indium_gallium_phosphide> * 2000)
  .addTool(<ore:artisansGemCutter>, 30)
  .addTool(<ore:artisansPliers>, 30)
  .addTool(<ore:artisansBurner>, 30)
  .addOutput(<waystones:waystone>)
  .create();

#remove warp scroll recipe
recipes.remove(<waystones:warp_scroll>);

#add warp scroll recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12127>, <gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12127>, <gregtech:meta_item_1:12216>],
    [<gregtech:meta_item_1:12127>, <waystones:warp_stone>, <gregtech:meta_item_1:19026>, <gregtech:meta_item_1:12218>, <gregtech:meta_item_1:12127>],
    [<gregtech:meta_item_1:12216>, <gregtech:meta_item_1:19026>, <gregtech:compressed_14:14>, <gregtech:meta_item_1:19026>, <gregtech:meta_item_1:12216>],
    [<gregtech:meta_item_1:12127>, <gregtech:meta_item_1:12218>, <gregtech:meta_item_1:19026>, <waystones:warp_stone>, <gregtech:meta_item_1:12127>],
    [<gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12127>, <gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12127>, <gregtech:meta_item_1:12216>]])
  .setFluid(<liquid:acetone> * 130)
  .addTool(<ore:artisansGemCutter>, 5)
  .addTool(<ore:artisansRazor>, 5)
  .addTool(<ore:artisansHammer>, 5)
  .addOutput(<waystones:warp_scroll>)
  .create();

#remove bound scroll recipe
recipes.remove(<waystones:bound_scroll>);

#add bound scroll recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12133>, <gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12133>, <gregtech:meta_item_1:12216>],
    [<gregtech:meta_item_1:12133>, <waystones:warp_stone>, <gregtech:meta_item_1:19026>, <gregtech:meta_item_1:12218>, <gregtech:meta_item_1:12133>],
    [<gregtech:meta_item_1:12216>, <gregtech:meta_item_1:19026>, <gregtech:compressed_14:14>, <gregtech:meta_item_1:19026>, <gregtech:meta_item_1:12216>],
    [<gregtech:meta_item_1:12133>, <gregtech:meta_item_1:12218>, <gregtech:meta_item_1:19026>, <waystones:warp_stone>, <gregtech:meta_item_1:12133>],
    [<gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12133>, <gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12133>, <gregtech:meta_item_1:12216>]])
  .setFluid(<liquid:acetone> * 130)
  .addTool(<ore:artisansGemCutter>, 5)
  .addTool(<ore:artisansRazor>, 5)
  .addTool(<ore:artisansHammer>, 5)
  .addOutput(<waystones:bound_scroll>)
  .create();

#remove return scroll recipe
recipes.remove(<waystones:return_scroll>);

#add return scroll recipe
RecipeBuilder.get("basic")
  .setShaped([
    [<gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12180>, <gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12180>, <gregtech:meta_item_1:12216>],
    [<gregtech:meta_item_1:12180>, <waystones:warp_stone>, <gregtech:meta_item_1:19026>, <gregtech:meta_item_1:12218>, <gregtech:meta_item_1:12180>],
    [<gregtech:meta_item_1:12216>, <gregtech:meta_item_1:19026>, <gregtech:compressed_14:14>, <gregtech:meta_item_1:19026>, <gregtech:meta_item_1:12216>],
    [<gregtech:meta_item_1:12180>, <gregtech:meta_item_1:12218>, <gregtech:meta_item_1:19026>, <waystones:warp_stone>, <gregtech:meta_item_1:12180>],
    [<gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12180>, <gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12180>, <gregtech:meta_item_1:12216>]])
  .setFluid(<liquid:acetone> * 130)
  .addTool(<ore:artisansGemCutter>, 5)
  .addTool(<ore:artisansRazor>, 5)
  .addTool(<ore:artisansHammer>, 5)
  .addOutput(<waystones:return_scroll>)
  .create();